Media
Schema
The schema defines all the fields that exist within a Media Item record. Any response from these endpoints can be expected to contain the fields below unless the `_filter` query parameter is used or the schema field only appears in a specific context.
date
|
The date the post was published, in the site's timezone. JSON data type: string or null, Format: datetime (details) Context: |
date_gmt
|
The date the post was published, as GMT. JSON data type: string or null, Format: datetime (details) Context: |
guid
|
The globally unique identifier for the post. JSON data type: object Read only Context: |
id
|
Unique identifier for the post. JSON data type: integer Read only Context: |
link
|
URL to the post. JSON data type: string, Format: uri Read only Context: |
modified
|
The date the post was last modified, in the site's timezone. JSON data type: string, Format: datetime (details) Read only Context: |
modified_gmt
|
The date the post was last modified, as GMT. JSON data type: string, Format: datetime (details) Read only Context: |
slug
|
An alphanumeric identifier for the post unique to its type. JSON data type: string Context: |
status
|
A named status for the post. JSON data type: string Context: One of: |
type
|
Type of post. JSON data type: string Read only Context: |
permalink_template
|
Permalink template for the post. JSON data type: string Read only Context: |
generated_slug
|
Slug automatically generated from the post title. JSON data type: string Read only Context: |
title
|
The title for the post. JSON data type: object Context: |
author
|
The ID for the author of the post. JSON data type: integer Context: |
comment_status
|
Whether or not comments are open on the post. JSON data type: string Context: One of: |
ping_status
|
Whether or not the post can be pinged. JSON data type: string Context: One of: |
meta
|
Meta fields. JSON data type: object Context: |
template
|
The theme file to use to display the post. JSON data type: string Context: |
alt_text
|
Alternative text to display when attachment is not displayed. JSON data type: string Context: |
caption
|
The attachment caption. JSON data type: object Context: |
description
|
The attachment description. JSON data type: object Context: |
media_type
|
Attachment type. JSON data type: string Read only Context: One of: |
mime_type
|
The attachment MIME type. JSON data type: string Read only Context: |
media_details
|
Details about the media file, specific to its type. JSON data type: object Read only Context: |
post
|
The ID for the associated post of the attachment. JSON data type: integer Context: |
source_url
|
URL to the original attachment file. JSON data type: string, Format: uri Read only Context: |
missing_image_sizes
|
List of the missing image sizes of the attachment. JSON data type: array Read only Context: |
</div>
List Media
Query this endpoint to retrieve a collection of media. The response you receive can be controlled and filtered using the URL query parameters below.
<h3>Definition</h3>
<code>GET /wp/v2/media</code>
<h3>Example Request</h3>
<code>$ curl https://example.com/wp-json/wp/v2/media</code>
</div>
<div class="secondary">
<h3>Arguments</h3>
<table class="arguments">
<tr>
<td>
<code>context</code><br />
</td>
<td>
<p>Scope under which the request is made; determines fields present in response.</p>
<p class="default">
Default: <code>view</code>
</p>
<p>One of: <code>view</code>, <code>embed</code>, <code>edit</code></p>
</td>
</tr>
<tr>
<td>
<code>page</code><br />
</td>
<td>
<p>Current page of the collection.</p>
<p class="default">
Default: <code>1</code>
</p>
</td>
</tr>
<tr>
<td>
<code>per_page</code><br />
</td>
<td>
<p>Maximum number of items to be returned in result set.</p>
<p class="default">
Default: <code>10</code>
</p>
</td>
</tr>
<tr>
<td>
<code>search</code><br />
</td>
<td>
<p>Limit results to those matching a string.</p>
</td>
</tr>
<tr>
<td>
<code>after</code><br />
</td>
<td>
<p>Limit response to posts published after a given ISO8601 compliant date.</p>
</td>
</tr>
<tr>
<td>
<code>modified_after</code><br />
</td>
<td>
<p>Limit response to posts modified after a given ISO8601 compliant date.</p>
</td>
</tr>
<tr>
<td>
<code>author</code><br />
</td>
<td>
<p>Limit result set to posts assigned to specific authors.</p>
</td>
</tr>
<tr>
<td>
<code>author_exclude</code><br />
</td>
<td>
<p>Ensure result set excludes posts assigned to specific authors.</p>
</td>
</tr>
<tr>
<td>
<code>before</code><br />
</td>
<td>
<p>Limit response to posts published before a given ISO8601 compliant date.</p>
</td>
</tr>
<tr>
<td>
<code>modified_before</code><br />
</td>
<td>
<p>Limit response to posts modified before a given ISO8601 compliant date.</p>
</td>
</tr>
<tr>
<td>
<code>exclude</code><br />
</td>
<td>
<p>Ensure result set excludes specific IDs.</p>
</td>
</tr>
<tr>
<td>
<code>include</code><br />
</td>
<td>
<p>Limit result set to specific IDs.</p>
</td>
</tr>
<tr>
<td>
<code>offset</code><br />
</td>
<td>
<p>Offset the result set by a specific number of items.</p>
</td>
</tr>
<tr>
<td>
<code>order</code><br />
</td>
<td>
<p>Order sort attribute ascending or descending.</p>
<p class="default">
Default: <code>desc</code>
</p>
<p>One of: <code>asc</code>, <code>desc</code></p>
</td>
</tr>
<tr>
<td>
<code>orderby</code><br />
</td>
<td>
<p>Sort collection by post attribute.</p>
<p class="default">
Default: <code>date</code>
</p>
<p>One of: <code>author</code>, <code>date</code>, <code>id</code>, <code>include</code>, <code>modified</code>, <code>parent</code>, <code>relevance</code>, <code>slug</code>, <code>include_slugs</code>, <code>title</code></p>
</td>
</tr>
<tr>
<td>
<code>parent</code><br />
</td>
<td>
<p>Limit result set to items with particular parent IDs.</p>
</td>
</tr>
<tr>
<td>
<code>parent_exclude</code><br />
</td>
<td>
<p>Limit result set to all items except those of a particular parent ID.</p>
</td>
</tr>
<tr>
<td>
<code>search_columns</code><br />
</td>
<td>
<p>Array of column names to be searched.</p>
</td>
</tr>
<tr>
<td>
<code>slug</code><br />
</td>
<td>
<p>Limit result set to posts with one or more specific slugs.</p>
</td>
</tr>
<tr>
<td>
<code>status</code><br />
</td>
<td>
<p>Limit result set to posts assigned one or more statuses.</p>
<p class="default">
Default: <code>inherit</code>
</p>
</td>
</tr>
<tr>
<td>
<code>media_type</code><br />
</td>
<td>
<p>Limit result set to attachments of a particular media type.</p>
<p>One of: <code>image</code>, <code>video</code>, <code>text</code>, <code>application</code>, <code>audio</code></p>
</td>
</tr>
<tr>
<td>
<code>mime_type</code><br />
</td>
<td>
<p>Limit result set to attachments of a particular MIME type.</p>
</td>
</tr>
</table>
</div>
Create a Media Item
Arguments
date |
The date the post was published, in the site's timezone. |
date_gmt |
The date the post was published, as GMT. |
slug |
An alphanumeric identifier for the post unique to its type. |
status |
A named status for the post. One of: |
title |
The title for the post. |
author |
The ID for the author of the post. |
comment_status |
Whether or not comments are open on the post. One of: |
ping_status |
Whether or not the post can be pinged. One of: |
meta |
Meta fields. |
template |
The theme file to use to display the post. |
alt_text |
Alternative text to display when attachment is not displayed. |
caption |
The attachment caption. |
description |
The attachment description. |
post |
The ID for the associated post of the attachment. |
</div>
<div class="secondary">
<h3>Definition</h3>
<code>POST /wp/v2/media</code>
</div>
Retrieve a Media Item
<h3>Definition & Example Request</h3>
<code>GET /wp/v2/media/<id></code>
<p>Query this endpoint to retrieve a specific Media Item record.</p>
<code>$ curl https://example.com/wp-json/wp/v2/media/<id></code>
</div>
<div class="secondary">
<h3>Arguments</h3>
<table class="arguments">
<tr>
<td>
<code>id</code><br />
</td>
<td>
<p>Unique identifier for the post.</p>
</td>
</tr>
<tr>
<td>
<code>context</code><br />
</td>
<td>
<p>Scope under which the request is made; determines fields present in response.</p>
<p class="default">
Default: <code>view</code>
</p>
<p>One of: <code>view</code>, <code>embed</code>, <code>edit</code></p>
</td>
</tr>
</table>
</div>
Update a Media Item
Arguments
id |
Unique identifier for the post. |
date |
The date the post was published, in the site's timezone. |
date_gmt |
The date the post was published, as GMT. |
slug |
An alphanumeric identifier for the post unique to its type. |
status |
A named status for the post. One of: |
title |
The title for the post. |
author |
The ID for the author of the post. |
comment_status |
Whether or not comments are open on the post. One of: |
ping_status |
Whether or not the post can be pinged. One of: |
meta |
Meta fields. |
template |
The theme file to use to display the post. |
alt_text |
Alternative text to display when attachment is not displayed. |
caption |
The attachment caption. |
description |
The attachment description. |
post |
The ID for the associated post of the attachment. |
</div>
<div class="secondary">
<h3>Definition</h3>
<code>POST /wp/v2/media/<id></code>
<h3>Example Request</h3>
<code></code>
</div>
Delete a Media Item
Arguments
id |
Unique identifier for the post. |
force |
Whether to bypass Trash and force deletion. |
</div>
<div class="secondary">
<h3>Definition</h3>
<code>DELETE /wp/v2/media/<id></code>
<h3>Example Request</h3>
<code>$ curl -X DELETE https://example.com/wp-json/wp/v2/media/<id></code>
</div>
谢谢你的反馈!